# $Revision: 1.6 $, $Date: 2002/06/23 19:24:09 $
Summary:	Mozilla Easy Search Toolbar
Summary(pl):	Pasek narzdziowy EasySearch dla mozilli
Name:		mozilla-addon-easysearch
%define		_realname	easysearch
Version:	097
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://easysearch.mozdev.org/download/%{_realname}_%{version}.xpi
Source1:	%{_realname}-installed-chrome.txt
URL:		http://easysearch.mozdev.org/
BuildRequires:	unzip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _chromedir      %{_libdir}/mozilla/chrome

%description
Mozilla EasySearch Toolbar - a toolbar with search engines support.

%description -l pl
Pasek narzdziowy z wyszukiwarkami dla mozilli.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/easysearch.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-easysearch.spec,v $
Revision 1.6  2002/06/23 19:24:09  kloczek
- fixed Source1.

Revision 1.5  2002/06/23 19:10:57  kloczek
- typo in Source1.

Revision 1.4  2002/06/23 18:35:24  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.3  2002/06/23 16:05:59  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:39  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/20 18:27:25  jojoro
- initial release
- need testing!
